%define module Catalyst-Plugin-Images
%define name	perl-%{module}
%define version	0.02
%define release	%mkrel 1

Summary:	Generate image tags for static files
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:        http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Catalyst/%{module}-%{version}.tar.gz
BuildRequires:	perl(Catalyst) >= 5.50
BuildRequires:	perl(HTML::Entities)
BuildRequires:	perl(Image::Size)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Path::Class)
BuildRequires:	perl(MRO::Compat)
BuildRequires:	perl(Test::WWW::Mechanize::Catalyst)
BuildRequires:  perl(Test::use::ok)
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
This plugin aims to assist you in generating image tags that contain
alt text, a properly escaped src attribute, height and width info,
without worrying too much.

%prep
%setup -q -n %{module}-%{version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst

%clean
rm -rf %{buildroot}



%changelog
* Sun Jan 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-1mdv2009.1
+ Revision: 333423
- new version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.01-5mdv2009.0
+ Revision: 241161
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-3mdv2008.0
+ Revision: 86057
- rebuild


* Tue May 09 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.01-2mdk
- Add BuildRequires

* Mon May 08 2006 Scott Karns <scottk@mandriva.org> 0.01-1mdk
- First Mandriva release

